Subject: Re: How do I stop (or increase the delay) for mailbox checkpointing?

From: [email-masked] (Andy Behrens)
Date: 2 Oct 1996 19:57:07 GMT

Tom Zerucha ([email-masked]) wrote:
> OK, I get two asterisks, so it is saving the state of the mailbox.  How
> do I make it stop doing this every few minutes or so?  It is really
> annoying since it will buffer keystrokes for the 10-30 seconds or more it
> takes, so I may inadvertently delete messages or worse.

A checkpoint that takes 30 seconds is taking too long.  Rather than
increase the checkpoint interval, you would be better off fixing the
problem.

Unless your mailbox is truly enormous (say, bigger than 10 Mb) the
delay is probably caused by a mailbox that is NFS-mounted from another
machine.  This is definitely not a recommended configuration -- it will
certainly be slow; and file locking across NFS has timing problems that
increase the risk (admittedly small) of corrupting the contents of the
mailbox.

If your mailbox is really located on another host, the best solution is
to install an IMAP server on that machine and configure Pine to access
your mail via IMAP.  The Pine distribution includes such a server
(imapd) if you don't already have one.

But if you feel that you have no alternative but to increase the
checkpoint time, you can adjust that by redefining CHECK_POINT_TIME or
CHECK_POINT_FREQ and recompiling.  These symbols are defined in the
include file "pine/osdep/os-???.h" (where ??? is the appropriate code
for your operating system).

Andy

-- 
Practice random kindness and senseless acts of beauty.        (Anne Herbert)

Andy Behrens			       <[email-masked]>
Burlington Coat Factory, Schoolhouse Lane, Etna, N.H. 03750